#if __STDC__ || defined(__cplusplus)
#define P_(s) s
#else
#define P_(s) ()
#endif

/* file.c */
char *stry P_((char *spool, char *me));
char *getspoolname P_((char *me));
char *expandname P_((char *name));
time_t getmtime P_((char *filename));
long getsize P_((char *filename));
int checkdir P_((char *filename));
int exs P_((char *filename));
time_t getlasttime P_((int fd));
int mesgy P_((int fd));
/* ioctl.c */
int screenwid P_((void));
int screenhigh P_((void));
/* main.c */
int main P_((int argc, char **argv));
/* malloc.c */
voidptr xmalloc P_((size_t big));
voidptr xrealloc P_((voidptr old, size_t big));
char *addtostr P_((char *old, char *new));
void addstr P_((char **old, char *new));
void addchar P_((char **str, int c));
/* num2str.c */
char *itoa P_((int n));
char *ftoa P_((double n));
/* output.c */
int outchar P_((int what));
void inittcap P_((void));
void gotoyx P_((int y, int x));
void spewlines P_((void));
void spewfewerlines P_((void));
void startmessage P_((void));
void endmessage P_((void));
void crlf P_((void));
void spew P_((char *what));
void spewtwo P_((char *one, char *two));
void tespew P_((char *s));
void tespewtwo P_((char *one, char *two));
/* postmark.c */
int ismtxt P_((char *what));
int isdigsp P_((int it));
int isnormalmbox P_((char *end));
int istrailingmbox P_((char *end));
int isincludedmbox P_((char *end));
int ismbox P_((char *what));
int isctrla P_((char *what));
int isbabyl P_((char *what));
int isbabyl2 P_((char *what));
int ispostmark P_((char *what));
/* readmbox.c */
char *getmessages P_((mailbox box, long loc));
int nottobeignored P_((char *s));
/* signal.c */
retsigtype alas P_((int foo));
void diediedie P_((void));
/* strerror.c */
/* string.c */
char *strdupe P_((char *what));
char *mybasename P_((char *what));
void chop P_((char *s));
int starts P_((char *l, char *s));
int cstarts P_((char *l, char *s));
int ends P_((char *l, char *s));
char *contains P_((char *s, int what));
char *scontains P_((char *s, char *what));
char *cscontains P_((char *s, char *what));
int numlns P_((char *what));
char *skiplines P_((char *what, int num));
char *conc P_((char *one, char *two));
char *truncstr P_((char *x, int maxlen));
/* usage.c */
void usage P_((void));
void version P_((void));
/* whoami.c */
char *whoami P_((void));
/* global.c */
/* alive.c */
int alive P_((void));
/* dir.c */
char *stripcr P_((char *s));
flist *lookdir P_((char *s));
int isin P_((flist *new, flist *it));
flist *diffdir P_((flist *old, flist *new));
void freelist P_((flist *it));
/* readmh.c */
char *readmh P_((char *folder, char *file));
/* notice.c */
char *mhnotice P_((mailbox *each, char *whattoprint));
char *filenotice P_((mailbox *each, char *whattoprint));
/* snagheader.c */
void inithlist P_((hlist *it));
void clearheaders P_((hlist *headers));
void addnspaces P_((char **str, int num));
void dumpheaders P_((char **str, hlist *headers));
void readheaders P_((hlist *list, FILE *f));
void dumpquote P_((char **msg, char **quote));
/* fixaddr.c */
void splatat P_((char *s));
char *canonaddr P_((int how, char *s));

#undef P_
